<?php

include '../../conexion/conn.php';

    $pi_folio=$_REQUEST['pi_folio'];
  	$caja_id=$_REQUEST['caja_id'];
	$num_peso=$_REQUEST['num_peso'];
	$valor=$_REQUEST['valor'];
	$especie_id=$_REQUEST['especie_id'];
	
	
	$rs = mysql_query("SELECT * FROM `cal_calibre` WHERE especie_id='$especie_id' AND '$valor'>=valor_min_gr AND '$valor'<=valor_max_gr"); //nombre de la tabla error
	    
	if($row = mysql_fetch_array($rs)){
	    $calibre_id=$row['calibre_id'];
	    $calibre_nombre=$row['calibre_nombre'];
	}

    $rs = mysql_query("SELECT * FROM `cal_caja_peso_fruto_as` WHERE pi_folio='$pi_folio' AND caja_id='$caja_id' AND num_peso='$num_peso'");
	    
	if($row = mysql_fetch_array($rs)){
	    $sql =  ("UPDATE `cal_caja_peso_fruto_as` SET peso='$valor', calibre_id_peso='$calibre_id', calibre_nombre_peso='$calibre_nombre' WHERE pi_folio='$pi_folio' AND caja_id='$caja_id' AND num_peso='$num_peso'");
	    $result = @mysql_query($sql);
	}else{
	    $sql =  ("INSERT INTO `cal_caja_peso_fruto_as`(`pi_folio`, `caja_id`, `peso`, `num_peso`, `tipo_peso`, `calibre_id_peso`, calibre_nombre_peso, `cliente_id`) VALUES ('$pi_folio', '$caja_id', '$valor', '$num_peso', 'GR', '$calibre_id', '$calibre_nombre', 'AS')"); //aqui habia un error en el cliente variable
	    $result = @mysql_query($sql);
	}
    
  	

	if($result){
		echo json_encode(array('success'=>true));
	}else{
		echo json_encode(array('success'=>false));
	}